cpphlib.PPIOCARDGADGETS Class Reference

- Main Page
- Namespaces
- Classes

- Class List
- Class Members

Public Member Functions | Public Attributes
cpphlib.PPIOCARDGADGETS Class Reference

The IO card gadgets. More...

List of all members.

## Public Member Functions
def | __init__
| Documentation for method.
def | parsediscoverlist
| Documentation for method.
def | printdiscoverresult
def | searchcards
| Documentation for method.
## Public Attributes
| Discovered
| DiscoverDict
| CAEIF
| IOIF
| CardIOTypes
| Card types: ['KEYMX and ROTE CONTROLLER', '16 channel DIGITAL INPUT', '16 channel DIGITAL OUTPUT', 'ALPHANUMERIC LCD CONTROLLER', '6 channel RC SERVO CONTROLLER', '6 channel ANALOGUE INPUT', '3 channel DC MOTOR CONTROLLER', 'IR REMOTE CONTROLLER'].
| KeyCodes

## Detailed Description

The IO card gadgets.

This class contains constants, and methods needed for identification of cards and contains keycodes for matrix keyboard handling.

## Constructor & Destructor Documentation

def cpphlib.PPIOCARDGADGETS.__init__ | ( |  | self,
|  |  | CAEIF,
|  |  | IOIF
| ) |  |

Documentation for method.

Constructs PPIOCARDGADGETS class.

Parameters:

  CAEIF | CAE interface instance is already connected to ppds.
  IOIF | IO interface instance is already connected to ppds.
      Short description: Constructs PPIOCARDGADGETS class

## Member Function Documentation

def cpphlib.PPIOCARDGADGETS.parsediscoverlist | ( |  | self,
|  |  | KeyType = `"integer"`
| ) |  |

Documentation for method.

Parsing discoverlist, identification of cards, by their addresses.

Parameters:

  KeyType | If KeyType is set to "integer", addresses are stored as numbers in DiscoverDict in other cases addresses are stored as strings.
      Short description: Parses discover list

def cpphlib.PPIOCARDGADGETS.printdiscoverresult | ( |  | self | ) |

    Short description: Displays discover list

def cpphlib.PPIOCARDGADGETS.searchcards | ( |  | self,
|  |  | CardType
| ) |  |

Documentation for method.

The method comes back with the list of specified lists of cards. Types can be members of CardIOTypes.

Parameters:

  CardType | Type of the card.
      Short description: Seraches cards by types

The documentation for this class was generated from the following file:

- cpphlib.py